Debian Bug report logs - #667018
please add support for route utility from freebsd-net-tools

Package: avahi-daemon; Maintainer for avahi-daemon is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for avahi-daemon is src:avahi.

Reported by: Mats Erik Andersson <mats.andersson@gisladisker.se>

Date: Sun, 25 Mar 2012 21:30:01 UTC

Severity: normal

Tags: jessie, patch, sid

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#665773; Package src:ifupdown. (Sun, 25 Mar 2012 21:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to debian-bsd@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>. (Sun, 25 Mar 2012 21:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: submit@bugs.debian.org
Subject: ifupdown failing IPv6 on kfreebsd.
Date: Sun, 25 Mar 2012 23:25:46 +0200
Package: src:ifupdown
Version: 0.7~beta1
Severity: serious
Tags: patch sid
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: IPv6 failure kills also IPv4 initialisation


I need to point to three reasons why ifupdown fails for GNU/kFreeBSD.


1) Version 0.7~beta2 fails to build for kfreebsd, which 0.7~beta1 does.


2) ifupdown consistently finalises its tasks by running

      route -n

   be it for IPv4, or IPv6. This is a GNU-ism, which is illegal for BSD
   and Solaris, where the correct invokations are

      /lib/freebsd/route -n get -inet 0.0.0.0
      /lib/freebsd/route -n get -inet6 ::

   for displaying the default route. Their utility route cannot display
   the full routing table, and "route -n" returns status 1 and a usage
   message.

   The GNU forms

      route -n -A inet
      route -n -A inet6

   print their corresponding tables.

   I have not been able to tell with which mechanism ifup(8) and ifdown(8)
   calls "route -n", but it does so once for IPv4 and once for IPv6; in the
   latter case even ignoring that the output only contains IPv4. Presently
   the usage output is harmless, but annoying, so it better be remedied.


3) The call sequence for IPv6 is erroneous on GNU/kFreeBSD. The patch below
   is able to raise static IPv6 and to close IPv6, but not to idempotently
   raise IPv6 immediately again. I will explain the important reasons.

   As long as the closing down of the adapter is not running

       /lib/freebsd/route -n del -inet ::/0

   the route remains in the kernel, thus the next time an effort to raise
   the adapter is made, the call

       /lib/freebsd/route -n add -inet6 ::/0 %gateway%

   (this is the native form, not the form of the removed wrapper!) will fail
   since the old default route cannot be overritten. It could be overwritten
   using "change" instead of "add", but a fresh default route cannot
   be instantiated using "change", so this short-cut remains unusable.

   Of reasons unknown to me, "ifupdown.nw" accepted a text "route -n del ...",
   but it never get to be run in practice, even without "[[  ]]".

     QUESTION: How to enforce route deletion at closing time?

   This must be done before the implementation can be fully functional,
   but the patch below contains the native commands for raising and
   closing once.



Note as a side remark for future reference, that the standard idiom is

    ifconfig bge0 inet6 2001:abcd:1234::1/64 alias    (or "add")

but that it would imply a non-circumventable

    ifconfig bge0 inet6 2001:abcd:1234::1 -alias    (or "delete")

when bringing the adapter down, which "ifupdown.nw" never is effectuating:

    [[ ifconfig %iface% inet6 %address% -alias ]]

never caused any execution. Running with a null-command, i.e., neither
"add", nor "alias", does instantiate a first address though, which can
be overwritten by the next similar call.


Best regards,
  Mats Erik Andersson, DM



--- ifupdown-0.7~beta1.orig/ifupdown.nw	2011-08-25 10:05:08.000000000 +0200
+++ ifupdown-0.7~beta1/ifupdown.nw	2012-03-25 22:13:42.677482622 +0200
@@ -4912,9 +4912,10 @@
   up
     ifconfig %iface% [[media %media%]] [[link %hwaddress%]] [[mtu %mtu%]] up
     ifconfig %iface% inet6 %address%/%netmask%
-    [[ route -A inet6 add ::/0 gw %gateway% %iface% ]] 
+    [[ /lib/freebsd/route add -inet6 ::/0 %gateway% ]]
 
   down
+    [[ /lib/freebsd/route -n del -inet6 ::/0 ]]
     ifconfig %iface% down
 
 method manual




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#665773; Package src:ifupdown. (Sun, 25 Mar 2012 23:21:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Sun, 25 Mar 2012 23:21:47 GMT) Full text and rfc822 format available.

Message #10 received at 665773@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Mats Erik Andersson <mats.andersson@gisladisker.se>, 665773@bugs.debian.org
Subject: Re: Bug#665773: ifupdown failing IPv6 on kfreebsd.
Date: Mon, 26 Mar 2012 00:34:36 +0200
[Message part 1 (text/plain, inline)]
Hello,

On Sun, 25 Mar 2012 23:25:46 +0200
Mats Erik Andersson <mats.andersson@gisladisker.se> wrote:

> I need to point to three reasons why ifupdown fails for GNU/kFreeBSD.

> 1) Version 0.7~beta2 fails to build for kfreebsd, which 0.7~beta1
> does.

As far as I remember, indeed, beta2 didn't have tests updated, so
nocheck should help with that.

> 2) ifupdown consistently finalises its tasks by running

>       route -n

>    be it for IPv4, or IPv6. This is a GNU-ism, which is illegal for
> BSD and Solaris, where the correct invokations are

There isn't such a call in ifupdown. Please track it down and file a
bug against an appropriate package.

> 3) The call sequence for IPv6 is erroneous on GNU/kFreeBSD. The patch
> below is able to raise static IPv6 and to close IPv6, but not to
> idempotently raise IPv6 immediately again. I will explain the
> important reasons.

>    Of reasons unknown to me, "ifupdown.nw" accepted a text "route -n
> del ...", but it never get to be run in practice, even without
> "[[  ]]".

Can't confirm, works here.

>    This must be done before the implementation can be fully
> functional, but the patch below contains the native commands for
> raising and closing once.

Thanks for pointing that route vs /lib/freebsd/route issue, forgot to
change it for IPv6.

>     [[ ifconfig %iface% inet6 %address% -alias ]]

> never caused any execution. Running with a null-command, i.e., neither
> "add", nor "alias", does instantiate a first address though, which can
> be overwritten by the next similar call.

Again, can't confirm.

Anyway, beta2 had one more problem which would prevent some things from
functioning normally. rc1 should be available very soon which is going
to have these and other issues fixed, so please test it. Or,
alternatively, you can try this version:
http://anonscm.debian.org/hg/collab-maint/ifupdown/archive/56f2da3d7e9b.tar.bz2

Thanks for you help,

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#665773; Package src:ifupdown. (Mon, 02 Apr 2012 20:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Mon, 02 Apr 2012 20:51:07 GMT) Full text and rfc822 format available.

Message #15 received at 665773@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Mats Erik Andersson <mats.andersson@gisladisker.se>
Cc: 665773@bugs.debian.org
Subject: Re: Bug#665773: ifupdown failing IPv6 on kfreebsd.
Date: Mon, 2 Apr 2012 21:57:45 +0200
[Message part 1 (text/plain, inline)]
Hello,

On Mon, 2 Apr 2012 22:32:35 +0200
Mats Erik Andersson <mats.andersson@gisladisker.se> wrote:

> > As far as I remember, indeed, beta2 didn't have tests updated, so
> > nocheck should help with that.

> Snapshot 56f2da3d7e9b fails at test three:

Try the newer one then as I've already fixed that:
http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/3b5f7429ec75 

> > There isn't such a call in ifupdown. Please track it down and file a
> > bug against an appropriate package.

> There for sure is something in ifup(8) and ifdown(8) that triggers
> "route -n", in fact at every completiion of "inet" and then again
> at completion of "inet6": Use the following wrapper to see for
> yourself.

> With this wrapper you will observe "route -n" being called by ifup(8),
> but I have no clue at all where this arifact arises.

Can't confirm:

  root@debian:~# ifup em0
  /lib/freebsd/route add default 1.2.3.4
  add net default: gateway 1.2.3.4
  root@debian:~# 

Could you try to investigate this a little bit further? I'm pretty sure
it's something in your system misconfigured.

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#665773; Package src:ifupdown. (Mon, 02 Apr 2012 20:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Mon, 02 Apr 2012 20:57:06 GMT) Full text and rfc822 format available.

Message #20 received at 665773@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: Andrew Shadura <bugzilla@tut.by>
Cc: 665773@bugs.debian.org
Subject: Re: Bug#665773: ifupdown failing IPv6 on kfreebsd.
Date: Mon, 2 Apr 2012 22:32:35 +0200
måndag den 26 mars 2012 klockan 00:34 skrev Andrew Shadura detta:
> Hello,
> 
> On Sun, 25 Mar 2012 23:25:46 +0200
> Mats Erik Andersson <mats.andersson@gisladisker.se> wrote:
> 
> > I need to point to three reasons why ifupdown fails for GNU/kFreeBSD.
> 
> > 1) Version 0.7~beta2 fails to build for kfreebsd, which 0.7~beta1
> > does.
> 
> As far as I remember, indeed, beta2 didn't have tests updated, so
> nocheck should help with that.

Snapshot 56f2da3d7e9b fails at test three:

  Testcase 3: -a
  --- tests/up.3	2012-04-02 22:15:33.740548443 +0200
  +++ tests/up-res.3	2012-04-02 22:15:33.781549464 +0200
  @@ -10,7 +10,7 @@
   Configuring interface eth0=eth0 (inet6)
   run-parts --exit-on-error --verbose /etc/network/if-pre-up.d
   ifconfig eth0    up
  -ifconfig eth0 inet6 3ffe:ffff:100:f101::1/64
  +ifconfig eth0 inet6 3ffe:ffff:100:f101::1/64 alias
 
   run-parts --exit-on-error --verbose /etc/network/if-up.d
   run-parts --exit-on-error --verbose /etc/network/if-up.d
  (failed)


It seems to me that the test description has not been updated
with the required "alias" command.

> 
> > 2) ifupdown consistently finalises its tasks by running
> 
> >       route -n
> 
> >    be it for IPv4, or IPv6. This is a GNU-ism, which is illegal for
> > BSD and Solaris, where the correct invokations are
> 
> There isn't such a call in ifupdown. Please track it down and file a
> bug against an appropriate package.

There for sure is something in ifup(8) and ifdown(8) that triggers
"route -n", in fact at every completiion of "inet" and then again
at completion of "inet6": Use the following wrapper to see for yourself.

  $ mv /lib/freebsd/route{,.orig}

  $ cat <<EOF > /lib/freebsd/route
  #!/bin/sh

  echo >&2 $0 $@

  /lib/freebsd/route.orig "$@"
  EOF

  $ chmod a+x /lib/freebsd/route

With this wrapper you will observe "route -n" being called by ifup(8),
but I have no clue at all where this arifact arises.

> Anyway, beta2 had one more problem which would prevent some things from
> functioning normally. rc1 should be available very soon which is going
> to have these and other issues fixed, so please test it. Or,
> alternatively, you can try this version:
> http://anonscm.debian.org/hg/collab-maint/ifupdown/archive/56f2da3d7e9b.tar.bz2

Best regards,
  Mats E A




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#665773; Package src:ifupdown. (Mon, 02 Apr 2012 21:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Mon, 02 Apr 2012 21:42:07 GMT) Full text and rfc822 format available.

Message #25 received at 665773@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: Andrew Shadura <bugzilla@tut.by>
Cc: 665773@bugs.debian.org
Subject: Re: Bug#665773: ifupdown failing IPv6 on kfreebsd.
Date: Mon, 2 Apr 2012 23:38:52 +0200
Hello again,

måndag den  2 april 2012 klockan 21:57 skrev Andrew Shadura detta:
> Hello,
> 
> On Mon, 2 Apr 2012 22:32:35 +0200
> Mats Erik Andersson <mats.andersson@gisladisker.se> wrote:
> 
> > > As far as I remember, indeed, beta2 didn't have tests updated, so
> > > nocheck should help with that.
> 
> > Snapshot 56f2da3d7e9b fails at test three:
> 
> Try the newer one then as I've already fixed that:
> http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/3b5f7429ec75 

Build is successful, including all tests, but the package cannot be
installed: iproute is Linux-only! Conditioning that dependency on
"linux-any" should resolve this blocker.

> > > There isn't such a call in ifupdown. Please track it down and file a
> > > bug against an appropriate package.
> 
> > There for sure is something in ifup(8) and ifdown(8) that triggers
> > "route -n", in fact at every completiion of "inet" and then again
> > at completion of "inet6": Use the following wrapper to see for
> > yourself.
> 
> > With this wrapper you will observe "route -n" being called by ifup(8),
> > but I have no clue at all where this arifact arises.
> 
> Can't confirm:
> 
>   root@debian:~# ifup em0
>   /lib/freebsd/route add default 1.2.3.4
>   add net default: gateway 1.2.3.4
>   root@debian:~# 

Still persists. The only culprit at the moment is

  /usr/lib/avahi/avahi-daemon-check-dns.sh

and which executes

  route -n | grep 0.0.0.0

when launching dns_reachable()!

I will try to diagnose this fully.

Regards,
  Mats E A




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#665773; Package src:ifupdown. (Mon, 02 Apr 2012 21:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Mon, 02 Apr 2012 21:48:03 GMT) Full text and rfc822 format available.

Message #30 received at 665773@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Mats Erik Andersson <mats.andersson@gisladisker.se>
Cc: 665773@bugs.debian.org
Subject: Re: Bug#665773: ifupdown failing IPv6 on kfreebsd.
Date: Mon, 2 Apr 2012 22:54:21 +0200
[Message part 1 (text/plain, inline)]
Hello,

On Mon, 2 Apr 2012 23:38:52 +0200
Mats Erik Andersson <mats.andersson@gisladisker.se> wrote:

> > Try the newer one then as I've already fixed that:
> > http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/3b5f7429ec75 

> Build is successful, including all tests, but the package cannot be
> installed: iproute is Linux-only! Conditioning that dependency on
> "linux-any" should resolve this blocker.

What revision are you compiling? 3b5f... is NOT the right one, I've
just pointed you to the patch. You should build the tip, not this one.

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#665773; Package src:ifupdown. (Mon, 02 Apr 2012 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Mon, 02 Apr 2012 21:51:03 GMT) Full text and rfc822 format available.

Message #35 received at 665773@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Mats Erik Andersson <mats.andersson@gisladisker.se>
Cc: 665773@bugs.debian.org
Subject: Re: Bug#665773: ifupdown failing IPv6 on kfreebsd.
Date: Mon, 2 Apr 2012 22:56:27 +0200
[Message part 1 (text/plain, inline)]
Hello,

On Mon, 2 Apr 2012 22:54:21 +0200
Andrew Shadura <bugzilla@tut.by> wrote:

> > > Try the newer one then as I've already fixed that:
> > > http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/3b5f7429ec75 

> > Build is successful, including all tests, but the package cannot be
> > installed: iproute is Linux-only! Conditioning that dependency on
> > "linux-any" should resolve this blocker.

> What revision are you compiling? 3b5f... is NOT the right one, I've
> just pointed you to the patch. You should build the tip, not this one.

P.S. kfreebsd branch, to which that commit belongs, is intended for
development only, and isn't meant to be installable at all.

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#665773; Package src:ifupdown. (Mon, 02 Apr 2012 22:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Mon, 02 Apr 2012 22:03:06 GMT) Full text and rfc822 format available.

Message #40 received at 665773@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: Andrew Shadura <bugzilla@tut.by>
Cc: 665773@bugs.debian.org
Subject: Re: Bug#665773: ifupdown failing IPv6 on kfreebsd.
Date: Mon, 2 Apr 2012 23:59:47 +0200
måndag den  2 april 2012 klockan 22:54 skrev Andrew Shadura detta:
> Hello,
> 
> On Mon, 2 Apr 2012 23:38:52 +0200
> Mats Erik Andersson <mats.andersson@gisladisker.se> wrote:
> 
> > > Try the newer one then as I've already fixed that:
> > > http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/3b5f7429ec75 
> 
> > Build is successful, including all tests, but the package cannot be
> > installed: iproute is Linux-only! Conditioning that dependency on
> > "linux-any" should resolve this blocker.
> 
> What revision are you compiling? 3b5f... is NOT the right one, I've
> just pointed you to the patch. You should build the tip, not this one.

I will not begin to use Mercurial just to follow your branch.
The previous message was based on the build of 3b5f....tar.bz2.
The executables are working correctly, and it is reasonable to
expect the package to be installable. Name me an archive that
should be buildable and installable on kfreebsd-amd64, please.

Regards,
  Mats E A




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#665773; Package src:ifupdown. (Mon, 02 Apr 2012 22:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Mon, 02 Apr 2012 22:09:06 GMT) Full text and rfc822 format available.

Message #45 received at 665773@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Mats Erik Andersson <mats.andersson@gisladisker.se>
Cc: 665773@bugs.debian.org
Subject: Re: Bug#665773: ifupdown failing IPv6 on kfreebsd.
Date: Tue, 3 Apr 2012 00:07:47 +0200
[Message part 1 (text/plain, inline)]
Hello,

On Mon, 2 Apr 2012 23:59:47 +0200
Mats Erik Andersson <mats.andersson@gisladisker.se> wrote:

> > What revision are you compiling? 3b5f... is NOT the right one, I've
> > just pointed you to the patch. You should build the tip, not this
> > one.

> I will not begin to use Mercurial just to follow your branch.

You don't have to, though it'd be very good. Everything is available
from the web interface.

> The previous message was based on the build of 3b5f....tar.bz2.
> The executables are working correctly, and it is reasonable to
> expect the package to be installable.

Not quite. As I said, kfreebsd branch is used for developing
kFreeBSD-related features and then merged back to the main tree, but it
is out of sync with it.

> Name me an archive that
> should be buildable and installable on kfreebsd-amd64, please.

Try tip.tar.bz2, as I said previously. It's been done long time ago
already.

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#665773; Package src:ifupdown. (Tue, 03 Apr 2012 11:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Tue, 03 Apr 2012 11:42:03 GMT) Full text and rfc822 format available.

Message #50 received at 665773@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: Andrew Shadura <bugzilla@tut.by>
Cc: 665773@bugs.debian.org
Subject: Re: Bug#665773: ifupdown failing IPv6 on kfreebsd.
Date: Tue, 3 Apr 2012 13:39:40 +0200
tisdag den  3 april 2012 klockan 00:07 skrev Andrew Shadura detta:
> Hello,
> 
> On Mon, 2 Apr 2012 23:59:47 +0200
> Mats Erik Andersson <mats.andersson@gisladisker.se> wrote:
> 
> > Name me an archive that
> > should be buildable and installable on kfreebsd-amd64, please.
> 
> Try tip.tar.bz2, as I said previously. It's been done long time ago
> already.

I have built and installed that, i.e., "a19d07..". It builds, tests,
and installs correctly on kfreebsd-amd64. Running "ifup" and "ifdown"
repeatedly in succession is now idempotently working correctly, at least
when using my combination of static inet and static inet6 setting.

The "route -n" still needs better guess working, though! Disabling
"avahi-daemon" does not help.

Regards,
  Mats E A




Bug 665773 cloned as bug 667018 Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Tue, 03 Apr 2012 12:39:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:ifupdown' to 'avahi-daemon'. Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Tue, 03 Apr 2012 12:39:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions ifupdown/0.7~beta1. Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Tue, 03 Apr 2012 12:39:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'avahi-daemon: add support for kFreeBSD native tools' from 'ifupdown failing IPv6 on kfreebsd.' Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Tue, 03 Apr 2012 12:39:26 GMT) Full text and rfc822 format available.

Marked as found in versions avahi/0.6.31-1. Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Tue, 03 Apr 2012 12:39:27 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Tue, 03 Apr 2012 12:51:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#667018; Package avahi-daemon. (Tue, 03 Apr 2012 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 03 Apr 2012 12:54:03 GMT) Full text and rfc822 format available.

Message #67 received at 667018@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 667018@bugs.debian.org, "Andrew O. Shadoura" <bugzilla@tut.by>
Subject: avahi-daemon: add support for kFreeBSD native tools
Date: Tue, 03 Apr 2012 14:52:11 +0200
[Message part 1 (text/plain, inline)]
Andrew,

could you clarify what the problem is and why this has RC severity.

Thanks
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#667018; Package avahi-daemon. (Tue, 03 Apr 2012 13:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 03 Apr 2012 13:00:07 GMT) Full text and rfc822 format available.

Message #72 received at 667018@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Michael Biebl <biebl@debian.org>
Cc: 667018@bugs.debian.org
Subject: Re: avahi-daemon: add support for kFreeBSD native tools
Date: Tue, 3 Apr 2012 14:55:58 +0200
[Message part 1 (text/plain, inline)]
Hello,

On Tue, 03 Apr 2012 14:52:11 +0200
Michael Biebl <biebl@debian.org> wrote:

> could you clarify what the problem is and why this has RC severity.

Severity --- probably not, feel free to justify it to your taste :)

The problem is unconditional calls of Linux ifconfig and Linux route
from /usr/lib/avahi/avahi-daemon-check-dns.sh. In kFreeBSD, native
tools have different syntax and output format, and wrappers are to be
removed soon (maybe already removed, not sure).

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#667018; Package avahi-daemon. (Tue, 03 Apr 2012 13:00:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 03 Apr 2012 13:00:13 GMT) Full text and rfc822 format available.

Message #77 received at 667018@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Andrew Shadura <bugzilla@tut.by>
Cc: 667018@bugs.debian.org
Subject: Re: avahi-daemon: add support for kFreeBSD native tools
Date: Tue, 03 Apr 2012 14:59:28 +0200
[Message part 1 (text/plain, inline)]
On 03.04.2012 14:55, Andrew Shadura wrote:
> Hello,
> 
> On Tue, 03 Apr 2012 14:52:11 +0200
> Michael Biebl <biebl@debian.org> wrote:
> 
>> could you clarify what the problem is and why this has RC severity.
> 
> Severity --- probably not, feel free to justify it to your taste :)
> 
> The problem is unconditional calls of Linux ifconfig and Linux route
> from /usr/lib/avahi/avahi-daemon-check-dns.sh. In kFreeBSD, native
> tools have different syntax and output format, and wrappers are to be
> removed soon (maybe already removed, not sure).

Are you saying route doesn't exist on kfreebsd or that it doesn't accept
the -n command line argument?

Sorry, this bug report is still a bit too vague. It is not clear to me
what I'm supposed to fix and how.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#667018; Package avahi-daemon. (Tue, 03 Apr 2012 13:09:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 03 Apr 2012 13:09:16 GMT) Full text and rfc822 format available.

Message #82 received at 667018@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Michael Biebl <biebl@debian.org>
Cc: 667018@bugs.debian.org
Subject: Re: avahi-daemon: add support for kFreeBSD native tools
Date: Tue, 3 Apr 2012 15:07:33 +0200
[Message part 1 (text/plain, inline)]
Hello,

On Tue, 03 Apr 2012 14:59:28 +0200
Michael Biebl <biebl@debian.org> wrote:

> Are you saying route doesn't exist on kfreebsd or that it doesn't
> accept the -n command line argument?

It does accept it, but acts differently:

root@debian:~# route -n
usage: route [-dnqtv] command [[modifiers] args]

> Sorry, this bug report is still a bit too vague. It is not clear to me
> what I'm supposed to fix and how.

Please read previous messages on the thread as well.

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#667018; Package avahi-daemon. (Tue, 03 Apr 2012 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 03 Apr 2012 13:15:04 GMT) Full text and rfc822 format available.

Message #87 received at 667018@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Andrew Shadura <bugzilla@tut.by>, 667018@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#667018: avahi-daemon: add support for kFreeBSD native tools
Date: Tue, 03 Apr 2012 15:12:25 +0200
[Message part 1 (text/plain, inline)]
On 03.04.2012 15:07, Andrew Shadura wrote:
> Hello,
> 
> On Tue, 03 Apr 2012 14:59:28 +0200
> Michael Biebl <biebl@debian.org> wrote:
> 
>> Are you saying route doesn't exist on kfreebsd or that it doesn't
>> accept the -n command line argument?
> 
> It does accept it, but acts differently:
> 
> root@debian:~# route -n
> usage: route [-dnqtv] command [[modifiers] args]
> 

Imho the only sensible thing here is that route behaves consistently
across different architectures


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'normal' from 'serious' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 03 Apr 2012 13:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#667018; Package avahi-daemon. (Tue, 03 Apr 2012 13:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 03 Apr 2012 13:57:10 GMT) Full text and rfc822 format available.

Message #94 received at 667018@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 667018@bugs.debian.org, control@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#667018: avahi-daemon: add support for kFreeBSD native tools
Date: Tue, 03 Apr 2012 15:52:08 +0200
[Message part 1 (text/plain, inline)]
reassign 667018 freebsd-net-tools
retitle 667018 please make route behaviour compatible with net-tools
thanks
On 03.04.2012 15:07, Andrew Shadura wrote:
> Hello,
> 
> On Tue, 03 Apr 2012 14:59:28 +0200
> Michael Biebl <biebl@debian.org> wrote:
> 
>> Are you saying route doesn't exist on kfreebsd or that it doesn't
>> accept the -n command line argument?
> 
> It does accept it, but acts differently:
> 
> root@debian:~# route -n
> usage: route [-dnqtv] command [[modifiers] args]

I think the reasonable thing here to do, is make route from
freebsd-net-tools behave compatible with route from net-tools.

So reassigning.

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'avahi-daemon' to 'freebsd-net-tools'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 03 Apr 2012 13:57:11 GMT) Full text and rfc822 format available.

No longer marked as found in versions avahi/0.6.31-1. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 03 Apr 2012 13:57:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'please make route behaviour compatible with net-tools' from 'avahi-daemon: add support for kFreeBSD native tools' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 03 Apr 2012 13:57:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#667018; Package freebsd-net-tools. (Sun, 29 Apr 2012 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 29 Apr 2012 08:21:03 GMT) Full text and rfc822 format available.

Message #105 received at 667018@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Michael Biebl <biebl@debian.org>
Cc: 667018@bugs.debian.org, control@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#667018: avahi-daemon: add support for kFreeBSD native tools
Date: Sun, 29 Apr 2012 10:18:58 +0200
[Message part 1 (text/plain, inline)]
reassign 667018 avahi-daemon
retitle 667018 please add support for route utility from freebsd-net-tools
thanks

Hello,

On Tue, 03 Apr 2012 15:52:08 +0200
Michael Biebl <biebl@debian.org> wrote:

> I think the reasonable thing here to do, is make route from
> freebsd-net-tools behave compatible with route from net-tools.

For sure this is not possible, as it would break compatibility 
with FreeBSD. It's much easier to fix scripts so they don't use
non-portable behaviour of net-tools.

> So reassigning.

Exactly!

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'freebsd-net-tools' to 'avahi-daemon'. Request was from Andrew Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Sun, 29 Apr 2012 08:21:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'please add support for route utility from freebsd-net-tools' from 'please make route behaviour compatible with net-tools' Request was from Andrew Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Sun, 29 Apr 2012 08:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#667018; Package avahi-daemon. (Sun, 29 Apr 2012 10:39:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 29 Apr 2012 10:39:20 GMT) Full text and rfc822 format available.

Message #114 received at 667018@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Andrew Shadura <bugzilla@tut.by>
Cc: Michael Biebl <biebl@debian.org>, 667018@bugs.debian.org, debian-bsd@lists.debian.org, Mats Erik Andersson <mats.andersson@gisladisker.se>
Subject: Re: [Pkg-utopia-maintainers] Bug#667018: avahi-daemon: add support for kFreeBSD native tools
Date: Sun, 29 Apr 2012 12:34:41 +0200
tags 667018 patch
thanks

2012/4/29 Andrew Shadura <bugzilla@tut.by>:
> For sure this is not possible, as it would break compatibility
> with FreeBSD. It's much easier to fix scripts so they don't use
> non-portable behaviour of net-tools.

Yes.  I've been meaning to address the problems in avahi for a few
days, but I hadn't had the time to finish it.

Attached patch should resolve them.  Mats, could you confirm this works for you?

-- 
Robert Millan




Added tag(s) patch. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 29 Apr 2012 10:39:36 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#667018; Package avahi-daemon. (Sun, 29 Apr 2012 23:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 29 Apr 2012 23:27:06 GMT) Full text and rfc822 format available.

Message #121 received at 667018@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Robert Millan <rmh@debian.org>, 667018@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#667018: Bug#667018: avahi-daemon: add support for kFreeBSD native tools
Date: Mon, 30 Apr 2012 01:26:09 +0200
[Message part 1 (text/plain, inline)]
hi

Am 29.04.2012 12:34, schrieb Robert Millan:

> Attached patch should resolve them.  Mats, could you confirm this works for you?

Seems the patch is missing

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#667018; Package avahi-daemon. (Sun, 29 Apr 2012 23:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 29 Apr 2012 23:54:02 GMT) Full text and rfc822 format available.

Message #126 received at 667018@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 667018@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#667018: Bug#667018: avahi-daemon: add support for kFreeBSD native tools
Date: Mon, 30 Apr 2012 01:51:24 +0200
[Message part 1 (text/plain, inline)]
2012/4/30 Michael Biebl <biebl@debian.org>:
> hi
>
> Am 29.04.2012 12:34, schrieb Robert Millan:
>
>> Attached patch should resolve them.  Mats, could you confirm this works for you?
>
> Seems the patch is missing

Oops.

-- 
Robert Millan
[avahi.diff (application/octet-stream, attachment)]

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:40:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:50:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.